<template>
    <div class="row justify-content-center">
        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
                        <div class="col-lg-6">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Register Your Account!</h1>
                                </div>
                                <form @submit.prevent="submitForm">
                                    <div class="form-group">
                                        <input v-model="form.name" type="text" class="form-control form-control-user" placeholder="Name">
                                    </div>
                                    <div class="form-group">
                                        <input v-model="form.email" type="email" class="form-control form-control-user" placeholder="Email Address">
                                    </div>
                                    <div class="form-group">
                                        <input v-model="form.password" type="password" class="form-control form-control-user" placeholder="Password">
                                    </div>
                                    <div class="form-group">
                                        <input v-model="form.password_confirmation" type="password" class="form-control form-control-user" placeholder="Confirm Password">
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-user btn-block">Register</button>
                                </form>
                                <hr>
                                <div class="text-center">
                                    <a @click.prevent="goToLogin" href="#">Login Here</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            form: {
                name: '',
                email: '',
                password: '',
                password_confirmation: '',
            },
        };
    },
    methods: {
        submitForm() {
            // Implementar lógica para enviar formulario
            console.log("Form data:", this.form);
        },
        goToLogin() {
            // Navegar al login
            this.$router.push({ name: 'login' }); // Asegúrate de tener una ruta nombrada 'login'
        },
    },
};
</script>
